Subject: Re: [PATCH] difftool: always honor "command not found" exit code

From: Junio C Hamano <[email-masked]>
Date: Mon, 15 Aug 2016 13:21:22 -0700

"Tom Tanner (BLOOMBERG/ LONDON)" <[email-masked]> writes:

> From: [email-masked]
> To: [email-masked]
> Cc: Tom Tanner (BLOOMBERG/ LONDON), [email-masked], [email-masked]
> At: 08/14/16 04:21:18
>
> John Keeping <[email-masked]> writes:
> ...
>> POSIX specifies 127 as the exit status for "command not found" and 126
>> for "command found but is not executable" [1] and at least bash and dash
>> follow this specification, while diff utilities generally use "1" for
>> the exit status we want to ignore.
>>
>> Handle 126 and 127 as special values, assuming that they always mean
>> that the command could not be executed.
>
> Sounds like a reasonable thing to do.  Will queue; thanks.

> Would it be possible to also treat signals (128 and above) as
> 'special' values as well (as I've seen some merge tools self
> destruct like that from time to time)

Certainly, it feels safer to notice an unusual exit status code and
error out to force the user to take notice, but that reasoning
assumes that "128 and above" are noteworthy exceptions.

I do not have a strong opinion on that part.